Subject: Re: How to change "/" from textmode to binmode?
From: Bob McGowan <[email-masked]>
To: [email-masked]
Date: Mon, 24 Apr 2000 14:56:09 -0700

Chris Faylor wrote:
> 
> On Mon, Apr 24, 2000 at 11:35:41AM -0700, Bob McGowan wrote:
> >It appears that I can create an environment where / is mounted on 2
> >different locations, one stored at the system level and one at the
> >user.  It would seem to me to make sense that 'mount' should not allow
> >duplicates of system level mount points at the user level.  Is this a
> >valid conclusion?
> 
> System mounts are global for all users, they are overridden by user
> mounts.  Only one mount entry at a time is active.
> 
> cgf

I received two other responses to my question, somewhat stronger than
yours, indicating they thought my idea was not so hot.  But then, I
forgot to mention that:  a) I am an old time UNIX user and mount in UNIX
is pure system and restricted in use to the superuser; b) I am not
familiar with the design philosophy of Cygwin, which could have gone
either way (or even have not been defined).

So now I know and understand the the philosophy.  But this raises a
second question.  The following shows what happens if I change the /
mount point on a configured system.

$ cd bin
/bin
$ mount
Device              Directory           Type         Flags
C:\Cygwin           /                   system       binmode
$ mount -b c:/ / && ./mount
mount: warning -- couldn't determine mount type!
bash: ./mount: No such file or directory
$ ./mount.exe
bash: ./mount.exe: No such file or directory
$ pwd
/bin
$ ls
bash: /bin/ls: No such file or directory
$ echo *
*
$ cd /cygdrive/c/cygwin/bin
$ ./ls
bash: ./ls: No such file or directory 

I think there is a bug in here somewhere, but I'm not sure where.  I can
see that by changing where / is mounted, my PATH stuff will no longer
work, but why doesn't the relative path work?  I would have thought a cd
to '/cygdrive/c/cygwin/bin' and a './' in front of the command I want,
should work.  And 'echo *' would normally give me an expansion of all
the files in the current directory, but it doesn't.

Recovery from this required bringing up a command prompt and running
'umount /' from the c:\cygwin\bin directory, so it's not fatal.

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]